# $Id: smeserver-openvpn-s2s.spec,v 1.6 2015/02/17 12:14:06 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: OpenVPN, a strong VPN solution built over SSL, for site to site tunnels
%define name smeserver-openvpn-s2s
Name: %{name}
%define version 0.1
%define release 26
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-openvpn-s2s-0.1-default_to_enabled.patch
Patch1: smeserver-openvpn-s2s-0.1-limit_network_delete_and_create.patch
Patch2: smeserver-openvpn-s2s-0.1-fix_validation_on_update.patch
Patch3: smeserver-openvpn-s2s-0.1-check_for_local_nets.patch
Patch4: smeserver-openvpn-s2s-0.1-update_templates_on_boostrap.patch
Patch5: smeserver-openvpn-s2s-0.1-default_to_enabled_on_create.patch
Patch6: smeserver-openvpn-s2s-0.1-allow_inbound_prop.patch
Patch7: smeserver-openvpn-s2s-0.1-fix_add_route.patch
Patch8: smeserver-openvpn-s2s-0.1-denylog_instead_of_drop.patch
Patch9: smeserver-openvpn-s2s-0.1-check_multiple_networks.patch
Patch10: smeserver-openvpn-s2s-0.1-add_net_is_local_lexicon.patch
Patch11: smeserver-openvpn-s2s-0.1-rename_logrotate_conf.patch
Patch12: smeserver-openvpn-s2s-0.1-support_per_conf_customization.patch
Patch13: smeserver-openvpn-s2s-0.1-tls_auth_1.patch
Patch14: smeserver-openvpn-s2s-0.1-tls_locale_1.patch
Patch15: smeserver-openvpn-s2s-0.1-tls_locale_2.patch
Patch16: smeserver-openvpn-s2s-0.1-tls_locale_3.patch
Patch17: smeserver-openvpn-s2s-0.1-set_network_non_removable.patch
Patch18: smeserver-openvpn-s2s-0.1-implement_crl_verification.patch
Patch19: smeserver-openvpn-s2s-0.1-fix_masq_templates.patch
Patch20: smeserver-openvpn-s2s-0.1-various_conf_optimization.patch
Patch21: smeserver-openvpn-s2s-0.1-set_wget_timeout.patch
Patch22: smeserver-openvpn-s2s-0.1-fix_crontab_template.patch
Patch23: smeserver-openvpn-s2s-0.1-fix_removable_typo.patch
Patch24: smeserver-openvpn-s2s-0.1-expand_and_restart_smb.patch
Patch25: smeserver-openvpn-s2s-0.1-remove_nice.patch
Patch26: smeserver-openvpn-s2s-0.1-locale-2010-11-04.patch
Patch27: smeserver-openvpn-s2s-0.1-locale-2010-11-08.patch
Patch28: smeserver-openvpn-s2s-0.1-fix_type_variable.patch
Patch29: smeserver-openvpn-s2s-0.1-remove_useless_samba_template.patch
Patch30: smeserver-openvpn-s2s-0.1-locale-2011-03-06.patch
Patch31: smeserver-openvpn-s2s-0.1-reduce_ping_restart.patch
Patch32: smeserver-openvpn-s2s-0.1-snat_outbound.patch
Patch33: smeserver-openvpn-s2s-0.1-fix_remote_host_desc.patch
Patch34: smeserver-openvpn-s2s-0.1-locale-2011-10-13.patch
Patch35: smeserver-openvpn-s2s-0.1-locale-2013-07-14.patch
Patch36: smeserver-openvpn-s2s-0.1-use_verify_x509_name.patch
Patch37: smeserver-openvpn-s2s-0.1-locale-2014-11-02.patch
Patch38: smeserver-openvpn-s2s-0.1-locale-2015-02-17.patch

BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

Requires: e-smith-base
Requires: openvpn >= 2.1

%description
This package contains all the needed scripts and templates
to run openvpn in client or server mode for site to site tunnels

%changelog
* Tue Feb 17 2015 Daniel Berteaud <daniel@firewall-services.com> 0.1-26.sme
- Apply locale 2015-02-17 patch

* Thu Dec 18 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1-25.sme
- Create required but unused /etc/openvpn/s2s/tmp dir

* Sun Nov 2 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1-24.sme
- Apply locale 2014-11-02 patch

* Thu Nov 14 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1-23.sme
- Use verify-x509-name instead of tls-remote

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 0.1-22.sme
- apply locale 2013-07-14 patch

* Thu Oct 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-21.sme
- Apply locale 2011-10-13 patch

* Thu Jun 2 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-20.sme
- Fix remote host description

* Wed Jun 1 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-19.sme
- SNAT outbound connexions to use the local IP as source

* Tue Apr 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-18.sme
- Reduce inactivity timeout

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.1-17.sme
- apply locale 2011-03-06 patch

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-16.sme
- Stop disabling service on rpm removal (spec change only)

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-15.sme
- Remove useless smb.conf template

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-14.sme
- Fix type variable (thks M. Doerner)

* Mon Nov 8 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Apply locale 2010-11-08 patch

* Thu Nov 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Apply locale 2010-11-04 patch 

* Tue Nov 02 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Remove the nice directive

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Expand smb.conf and restart samba services

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Fix typo in up script

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Various enhancement in templates
- Set wget timeout
- Fix crontab templates

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Implement CRL updates and verification
- Fix masq template

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Set VPN networks non removable

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- Rename logrotate configuration file
- Add missingok to logrotate conf
- Support per configuration customization
- Add TLS auth support

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Fix adding routes in up script
- Log drop trafic
- Fix multiple net validation

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- allow one-way VPN with AllowInbound prop

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Various fixes

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initiale release (based on work from Florian Dejan)

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/openvpn/s2s/priv
%{__mkdir_p} root/etc/openvpn/s2s/pub
%{__mkdir_p} root/etc/openvpn/s2s/tmp
%{__mkdir_p} root/var/run/openvpn-s2s
%{__mkdir_p} root/var/log/openvpn-s2s

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /etc/openvpn/s2s/pub 'attr(0755,root,root)' \
  --dir /etc/openvpn/s2s/priv 'attr(0750,root,root)' \
  --dir /etc/openvpn/s2s/tmp 'attr(0750,root,root)' \
  --dir /var/log/openvpn-s2s 'attr(0770,root,nobody)' \
  --file /etc/openvpn/s2s/bin/up 'attr(4750,root,openvpn)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun

